List Variation Options
Retrieve the variation options defined for a store product.
Endpointโ
GET /v1/store-products/{id}/variation-options
Authenticationโ
Requires an API key with the store:read scope.
Parametersโ
| Parameter | Type | Location | Description |
|---|---|---|---|
id | integer | path | The store product ID |
Responseโ
Success (200 OK)โ
{
"data": {
"product_id": 1,
"has_variations": true,
"variation_options": [
{
"id": 1,
"name": "Size",
"values": ["Small", "Medium", "Large"]
},
{
"id": 2,
"name": "Color",
"values": ["Red", "Blue", "Green"]
}
]
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-02-15T12:00:00+00:00"
}
}
note
If the product does not have variations enabled, has_variations will be false and variation_options will be an empty array.
Response Fieldsโ
| Field | Type | Description |
|---|---|---|
product_id | integer | The store product ID |
has_variations | boolean | Whether the product has variations enabled |
variation_options | array | List of variation option objects |
variation_options[].id | integer | Unique option identifier |
variation_options[].name | string | Option name (e.g., "Size", "Color") |
variation_options[].values | array | List of possible string values for this option |
Errorsโ
| Status | Code | Description |
|---|---|---|
| 401 | authentication_required | No API key provided |
| 401 | invalid_api_key | Invalid API key |
| 403 | insufficient_scope | API key lacks store:read scope |
| 404 | resource_not_found | Store product does not exist |
Example Requestโ
curl -X GET "https://app.equipdash.com/api/v1/store-products/1/variation-options" \
-H "Authorization: Bearer eqd_live_abc123xyz789..."